package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 风险异常组级表对象 lab_risk_plan_abnormal_group
 *
 * @author liubo
 * @date 2021-09-06
 */
@ApiModel("风险异常组级表")
public class LabRiskPlanAbnormalGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 组级名称
     */
    @ApiModelProperty(value = "组级名称")
    @Excel(name = "组级名称")
    private String groupName;

    /**
     * 实验室id
     */
    @ApiModelProperty(value = "实验室id")
    @Excel(name = "实验室id")
    private Long subjectId;

    /**
     * 组级状态，（1组开始，0是组关闭）
     */
    @ApiModelProperty(value = "组级状态，（1组开始，0是组关闭）")
    @Excel(name = "组级状态，（1组开始，0是组关闭）")
    private Long status;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }
}
